Symbol selector dialog: Clicking on the "data-defined override" button disables its configuration

2017-02-17 04:16 AM - Harrissou Santanna

Status: Feedback

Priority: Normal

Assignee: Nyall Dawson

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24114

Description

Add a point layer

In layer styling (I live update activated though not sure it has something to do with the issue), Symbology, single symbol

At the Marker level, use the "Assistant.." to modify the size of symbols

Now select the "simple marker" level and click on the data-defined override icon (which should be yellow) near the Size option

The yellow color disappear and the data-defined effects removed from the map canvas. This happens also if you select the Size option

from the Marker level.

Note however that the settings you entered in the Symbol Size dialog are still present.

I don't know if it's due to this issue but I couldn't figure out how the Assistant could be ignored later in the settings.

Master 3496871

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
